﻿using System;
using System.Windows.Input;
using Microsoft.Phone.Controls;

namespace WPNumericTextBox
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        // allowed keys
        private readonly Key[] numeric = new Key[] {Key.Back, Key.NumPad0, Key.NumPad1, Key.NumPad2, Key.NumPad3, Key.NumPad4,
                                    Key.NumPad5, Key.NumPad6, Key.NumPad7, Key.NumPad8, Key.NumPad9 };
        private void SimpleTbx_KeyDown(object sender, KeyEventArgs e)
        {
            // handles non numeric
            if (Array.IndexOf(numeric, e.Key) == -1)
            {
                e.Handled = true;
            }
        }

        private void ShowValuesButton_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            resultValues.Text = string.Format("Numeric textbox 1 : {1}{0}Numeric textbox 2 : {2}{0}Numeric textbox 3 : {3}{0}Numeric textbox 4 : {4}{0}",
                Environment.NewLine,SimpleTbx.Text,NumericTbxUC.Text,NumTbx.Text,NumericTextBox.Text);
        }

        private void ClearValue_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            resultValues.Text = SimpleTbx.Text = NumericTbxUC.Text = NumTbx.Text = NumericTextBox.Text = string.Empty;
        }
    }
}